<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>CSS Selectors, Colors, and Units</title>
    <!-- 3 Types of CSS -->
    <!-- Inline Styling - highest effect-->
    <!-- Internal Styling - lowest effect-->
    <!-- External Styling - mid effect -->

    <!-- This is an example of internal styling. -->
    <style>
        h2 {
            color: rgb(114, 53, 53);
        }

    </style>
    <!-- This is an example of external styling. -->
    <link rel="stylesheet" href="style.css">

</head>
<body>
    <!-- CSS Selectors -->
    <div id="selectors">
        <!-- This is an example of inline-styling -->
        <h1 style="color: brown;">CSS Selectors</h1>


        <div>
            <h2>Article 1</h2>
            <p>
                Lorem ipsum dolor sit amet consectetur, adipisicing elit. Itaque adipisci saepe, obcaecati eum unde aut at, sunt consequatur rem, maxime nisi libero odit vel perspiciatis ea modi officiis alias consequuntur.
            </p>
        </div>

        <div>
            <h2>Article 2</h2>
            <p class="gray" id="second">
                Lorem ipsum <span class="highlight">dolor</span> sit amet consectetur, adipisicing elit. Itaque adipisci saepe, obcaecati eum unde aut at, sunt consequatur rem, maxime nisi libero odit vel perspiciatis ea modi officiis alias consequuntur.
            </p>
        </div>

        <div>
            <h2>Article 3</h2>
            <p class="gray" >
                Lorem ipsum <span class="highlight">dolor</span> sit amet consectetur, adipisicing elit. Itaque adipisci saepe, obcaecati eum unde aut at, sunt consequatur rem, maxime nisi libero odit vel perspiciatis ea modi officiis alias consequuntur.
            </p>
        </div>

    </div>

    <!-- CSS Colors -->
    <div id="colors">
        <!-- This is an example of inline-styling -->
        <h3>CSS Selectors</h3>


        <div>
            <h2>Article 1</h2>
            <p>
                Lorem ipsum dolor sit amet consectetur, adipisicing elit. Itaque adipisci saepe, obcaecati eum unde aut at, sunt consequatur rem, maxime nisi libero odit vel perspiciatis ea modi officiis alias consequuntur.
            </p>
        </div>

        <div>
            <h2>Article 2</h2>
            <p>
                Lorem ipsum dolor sit amet consectetur, adipisicing elit. Itaque adipisci saepe, obcaecati eum unde aut at, sunt consequatur rem, maxime nisi libero odit vel perspiciatis ea modi officiis alias consequuntur.
            </p>
        </div>

        <div>
            <h2>Article 3</h2>
            <p>
                Lorem ipsum dolor sit amet consectetur, adipisicing elit. Itaque adipisci saepe, obcaecati eum unde aut at, sunt consequatur rem, maxime nisi libero odit vel perspiciatis ea modi officiis alias consequuntur.
            </p>
        </div>

    </div>

    <!-- CSS Units -->
    <div id="units">
        <h2>CSS Units</h2>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. At natus sed odio corporis fugiat mollitia molestias illo perspiciatis, commodi dolor nam nisi dolorem facilis laborum fugit eveniet neque et porro.
        </p>


    </div>
</body>
</html>